OnlyFans API
FanslyWalls

List Walls

Get all walls configured on the Fansly Account. Use the returned wall IDs as wallIds when sending a post. The wall with defaultWall: true is the account's Main Feed.

GET
/api/fansly/{fanslyAccount}/walls
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/walls"
{
  "data": [
    {
      "id": "200000000000000010",
      "accountId": "800000000000000001",
      "pos": 0,
      "name": "Posts",
      "description": "",
      "private": 0,
      "metadata": "",
      "defaultWall": true,
      "mainWall": true
    },
    {
      "id": "200000000000000011",
      "accountId": "800000000000000001",
      "pos": 1,
      "name": "Behind the scenes",
      "description": "Exclusive BTS content",
      "private": 0,
      "metadata": ""
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055789,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}